Subject: Exploiting SHA1's "XOR weakness" allows for faster hash calculation

From: Sebastian Schuberth <[email-masked]>
Date: Wed, 05 Dec 2012 10:19:43 +0100

Hi,

to say it in advance: I do not want to trigger any bogus security 
discussion here. Instead, I believe the findings from [1] allow for an 
up to 20% faster SHA1 calculation, if my brief reading of the 
presentation is correct. Any opinions on integration this optimization 
into Git?

[1] https://hashcat.net/p12/js-sha1exp_169.pdf

-- 
Sebastian Schuberth